Skip to main content
GET
/
v1
/
accounts
/
{account_id}
Get Account
curl --request GET \
  --url https://api.fireworks.ai/v1/accounts/{account_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.fireworks.ai/v1/accounts/{account_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fireworks.ai/v1/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "email": "<string>",
  "name": "<string>",
  "displayName": "<string>",
  "createTime": "2023-11-07T05:31:56Z",
  "accountType": "ACCOUNT_TYPE_UNSPECIFIED",
  "state": "STATE_UNSPECIFIED",
  "status": {
    "code": "OK",
    "message": "<string>"
  },
  "suspendState": "UNSUSPENDED",
  "updateTime": "2023-11-07T05:31:56Z",
  "notificationSettings": {
    "monthlySpendThresholds": [
      {
        "currencyCode": "<string>",
        "units": "<string>",
        "nanos": 123
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>

Path Parameters

account_id
string
required

The Account Id

Query Parameters

readMask
string

The fields to be returned in the response. If empty or "*", all fields will be returned.

Response

200 - application/json

A successful response.

email
string
required

The primary email for the account. This is used for billing invoices and account notifications.

name
string
read-only
displayName
string

Human-readable display name of the account. e.g. "My Account" Must be fewer than 64 characters long.

createTime
string<date-time>
read-only

The creation time of the account.

accountType
enum<string>
default:ACCOUNT_TYPE_UNSPECIFIED

The type of the account.

Available options:
ACCOUNT_TYPE_UNSPECIFIED,
ENTERPRISE
state
enum<string>
default:STATE_UNSPECIFIED
read-only

The state of the account.

Available options:
STATE_UNSPECIFIED,
CREATING,
READY,
UPDATING,
DELETING
status
Mimics [https://github.com/googleapis/googleapis/blob/master/google/rpc/status.proto] · object
read-only

Contains information about the account status.

suspendState
enum<string>
default:UNSUSPENDED
read-only
Available options:
UNSUSPENDED,
FAILED_PAYMENTS,
CREDIT_DEPLETED,
MONTHLY_SPEND_LIMIT_EXCEEDED,
BLOCKED_BY_ABUSE_RULE
updateTime
string<date-time>
read-only

The update time for the account.

notificationSettings
object

Notification settings for this account.